
QGIS Application - Bug report #5010

Line intersection non fatal error

2012-02-14 05:04 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14786

Description

Line intersection

File

"/usr/share/qgis/python/plugins/fTools/tools/doIntersectLines.py",

line 62, in update1

    changedField = ftools_utils.getFieldList(changedLayer)

  File "/usr/share/qgis/python/plugins/fTools/tools/ftools_utils.py",

line 221, in getFieldList

    vprovider = vlayer.dataProvider()

AttributeError: 'NoneType' object has no attribute 'dataProvider'

History

#1 - 2012-02-14 09:42 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in 

commit:54b2cd2c52af38219a02fa0cad3e66651544a002

Thanks alexbruy

#2 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
